> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Set Group as Read Only > Set or unset a private channel as read-only. Permission required: `edit-room` ### Changelog | Version | Description | | ------- | ----------- | | 0.49.0 | Added | ## OpenAPI ````json POST /api/v1/groups.setReadOnly { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.setReadOnly": { "post": { "tags": [ "Groups" ], "summary": "Set Group as Read Only", "description": "Set or unset a private channel as read-only. Permission required: `edit-room`\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 0.49.0 | Added |", "operationId": "post-api-v1-groups.setReadOnly", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The private group ID. You can find the IDs by using any of the following endpoints:\n* Get List of User Groups: This endpoint returns all private channels in the workspace, if you have the required permissions to view them.\n* Get Groups: This endpoint returns the private channels that you are a member of.", "example": "ByehQjC44FwMei5LbX" }, "readOnly": { "type": "boolean", "description": "Boolean to represent the group read-only status", "example": true } }, "required": [ "roomId", "readOnly" ] }, "examples": { "Example": { "value": { "roomId": "ByehQjC44FwMei5LbX", "readOnly": true } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "group": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "t": { "type": "string" }, "msgs": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "ts": { "type": "string" }, "ro": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "_updatedAt": { "type": "string" }, "usernames": { "type": "array", "items": { "type": "string" } }, "joinCodeRequired": { "type": "boolean" }, "muted": { "type": "array", "items": { "type": "object" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "group": { "_id": "ByehQjC44FwMei5LbX", "name": "testing-private", "t": "p", "msgs": 0, "u": { "_id": "aiPqNoGkjpNDiRx6d", "username": "goose160" }, "ts": "2017-01-05T18:02:50.754Z", "ro": true, "sysMes": true, "_updatedAt": "2017-01-05T19:02:24.429Z", "usernames": [ "goose160", "graywolf336" ], "joinCodeRequired": true, "muted": [] }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]", "errorType": "error-room-param-not-provided" } }, "Example 2": { "value": { "success": false, "error": "The bodyParam \"readOnly\" is required" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````